%def_disable static

Name: libspectre
Version: 0.2.1
Release: alt0.M41.1

Group: System/Libraries
Summary: Postscript rendering library
License: GPLv2+
Url: http://libspectre.freedesktop.org/wiki/

Source0: http://libspectre.freedesktop.org/releases/%name-%version.tar.gz

Patch1: libspectre-0.2.0-alt-ignore-internal-gs-heders.patch

# Automatically added by buildreq on Mon May 12 2008 (-bi)
#BuildRequires: gcc-c++ gcc-fortran glibc-devel-static libcairo-devel libgs-devel
BuildRequires: gcc-c++ glibc-devel libcairo-devel libgs-devel
%if_enabled static
BuildRequires: glibc-devel-static
%endif

%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release
%description devel
Development files for %name


%prep
%setup -q
%patch1 -p1
rm -rf libspectre/ghostscript
%autoreconf

%build
%configure \
    %{subst_enable static} \
    --enable-shared
%make


%install
%make install DESTDIR=%buildroot


%post -p %post_ldconfig
%postun -p %postun_ldconfig


%files
%doc AUTHORS NEWS README TODO
%_libdir/libspectre.so.*


%files devel
%doc ChangeLog
%_libdir/libspectre.so
%_libdir/pkgconfig/*
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/libspectre.a
%endif

%changelog
* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.1-alt0.M41.1
- built for M41

* Mon Sep 15 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.1-alt1
- new version

* Mon May 12 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.0-alt1
- initial specfile

